# Make Transfer

Make a POST request to our send money endpoint

<mark style="color:green;">`POST`</mark> `{{base_url}}/sendmoney`

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |

#### Request Body

| Name                                        | Type   | Description                                                                                |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------------------ |
| amount<mark style="color:red;">\*</mark>    | String | Amount to transfer                                                                         |
| bankcode<mark style="color:red;">\*</mark>  | String | Bank code of the receiver. Check the  [Bank List](/v1-1/bank-list.md) endpoint for details |
| bankname<mark style="color:red;">\*</mark>  | String | Bank name of the receiver                                                                  |
| accountno<mark style="color:red;">\*</mark> | String | The receiver account number                                                                |
| reference<mark style="color:red;">\*</mark> | String | Transaction reference. This should be a unique identifier                                  |
| acctname<mark style="color:red;">\*</mark>  | String | Account holder name                                                                        |
| currency                                    | String | NGN, GHS, ZAR or USD                                                                       |
| narration                                   | String | Reason for the transfer                                                                    |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "message": "Transfer Successfully Completed",
    "txref": "API365022038SM347",
    "charged": 100000,
    "newbal": 600,023.80
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request POST 'https://api.oneappgo.com/v1/sendmoney' \
--header 'Authorization: Bearer YOUR_SECRET_KEY' \
--form 'amount="100000"' \
--form 'bankcode="000013"' \
--form 'bankname="GT BANK"' \
--form 'reference="shudgyutg876542"' \
--form 'accountno="0245000000"' \
--form 'narration="Transfer to my client"' \
--form 'acctname'="Olajide Olajide"'\
--form 'currency="NGN"'
```

{% endtab %}

{% tab title="NodeJs" %}

```
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.oneappgo.com/v1/sendmoney',
  'headers': {
    'Authorization': 'Bearer SECRET_KEY'
  },
  formData: {
    'amount': '100000',
    'bankcode': '000013',
    'bankname': 'GT BANK',
    'reference': 'shudgyutg876542',
    'accountno': '0245000000',
    'narration': 'Transer to client',
    'currency': 'NGN',
    'acctname': 'Olajide Olajide'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

{% endtab %}

{% tab title="PHP - cURL" %}

```
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/sendmoney',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('amount' => '100000', 'acctname' => 'Olajide Olajide','bankcode' => '000013','bankname' => 'GT BANK','reference' => 'shudgyutg876542','accountno' => '0245000000','narration' => 'Transer to client','currency' => 'NGN'),
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.oneappgo.com/v1/sendmoney"

payload={'amount': '100000',
'bankcode': '000013',
'bankname': 'GT BANK',
'reference': 'shudgyutg876542',
'accountno': '0245000000',
'narration': 'Transer to client',
'currency': 'NGN'}
files=[

]
headers = {
  'Authorization': 'Bearer YOUR_SECRET_KEY'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)
```

{% endtab %}

{% tab title="Dart" %}

```
var headers = {
  'Authorization': 'Bearer SECRET_KEY'
};
var request = http.MultipartRequest('POST', Uri.parse('https://api.oneappgo.com/v1/sendmoney'));
request.fields.addAll({
  'amount': '100000',
  'bankcode': '000013',
  'bankname': 'GT BANK',
  'accountno': '0245000000',
  'narration': 'Transer to client',
  'reference': 'IJENEJDEI4I4U',
  'acctname': 'JOHN DOE'
});

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "message": "Transfer Successfully Completed",
    "txref": "API365022038SM347",
    "charged": 100000,
    "newbal": 600,023.80
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/v1-1/send-money/make-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
